This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1030347 - WiFi deauthenticating from ... by local choice (reason=3)
WiFi deauthenticating from ... by local choice (reason=3)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 05:55 EST by markm
Modified: 2015-07-24 08:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:14:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg output for attempted connection (2.95 KB, text/plain)
2013-11-14 05:55 EST, markm
no flags Details

  None (edit)
Description markm 2013-11-14 05:55:07 EST
Created attachment 823873 [details]
Dmesg output for attempted connection

Description of problem:

WiFi stopped connecting to the wifi router at my work place -- story short, I was out of office delivering training for a few days, before training it worked ok (wifi dropped once every few hours, usual), now it does not connect at all. There was a firmware update, but sysadmin is unable to tell me what was updated - he said, nothing has changed, just a firmware update to the latest version.

My Android phone still connects to the same wifi with no issues (password has not changed).

From dmesg, it seems to connect then it's de-authenticating for reason 3:

deauthenticating from 00:19:77:8a:f8:29 by local choice (reason=3)

Hardware: Dell XPS 13 Developer's edition
Network controller: Intel Corporation Centrino Advanced-N 6235 (rev 24)

Version-Release number of selected component (if applicable):

# rpm -qa | grep NetworkManager
NetworkManager-pptp-gnome-0.9.8.2-3.fc19.x86_64
NetworkManager-pptp-0.9.8.2-3.fc19.x86_64
NetworkManager-openvpn-0.9.8.2-3.fc19.x86_64
NetworkManager-vpnc-gnome-0.9.8.2-2.fc19.x86_64
NetworkManager-glib-0.9.8.8-1.fc19.x86_64
NetworkManager-0.9.8.8-1.fc19.x86_64
NetworkManager-openconnect-0.9.7.0-2.git20120918.fc19.x86_64
NetworkManager-openvpn-gnome-0.9.8.2-3.fc19.x86_64
NetworkManager-l2tp-0.9.8-4.fc19.x86_64
NetworkManager-vpnc-0.9.8.2-2.fc19.x86_64

# uname -a
Linux warbird 3.11.7-200.fc19.x86_64 #1 SMP Mon Nov 4 14:09:03 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

Since today's morning, every time (tried rebooting, tried removing and adding wifi connection again).

Steps to Reproduce:
1. Connect to the wifi network

Actual results:

Not connected

Expected results:

Connected

Additional info:

See attached log for dmesg output.
Comment 1 markm 2013-11-14 10:11:38 EST
Additional info from the admin:

I just saw it pop up. As you can see it is failing at part 1 of 4:
 
11/14/2013 02:53:55 PM  B4B6762AF36E  0019778AF954  aerohive01.ibuildings.uk  BASIC   (40)Rx auth <open> (frame 1, rssi 37dB)
11/14/2013 02:53:55 PM  B4B6762AF36E  0019778AF954  aerohive01.ibuildings.uk  BASIC   (41)Tx auth <open> (frame 2, status 0, pwr 14dBm)
11/14/2013 02:53:55 PM  B4B6762AF36E  0019778AF954  aerohive01.ibuildings.uk  BASIC   (42)Rx assoc req (rssi 45dB)
11/14/2013 02:53:55 PM  B4B6762AF36E  0019778AF954  aerohive01.ibuildings.uk  BASIC   (43)Tx assoc resp <accept> (status 0, pwr 14dBm)
11/14/2013 02:53:55 PM  B4B6762AF36E  0019778AF954  aerohive01.ibuildings.uk  INFO    (44)WPA-PSK auth is starting (at if=wifi0.1)
11/14/2013 02:53:55 PM  B4B6762AF36E  0019778AF954  aerohive01.ibuildings.uk  INFO    (45)Sending 1/4 msg of 4-Way Handshake (at if=wifi0.1)
11/14/2013 02:53:59 PM  B4B6762AF36E  0019778AF954  aerohive01.ibuildings.uk  INFO    (46)Sending 1/4 msg of 4-Way Handshake (at if=wifi0.1)
11/14/2013 02:54:03 PM  B4B6762AF36E  0019778AF954  aerohive01.ibuildings.uk  INFO    (47)Sending 1/4 msg of 4-Way Handshake (at if=wifi0.1)
11/14/2013 02:54:07 PM  B4B6762AF36E  0019778AF954  aerohive01.ibuildings.uk  BASIC   (48)Sta(at if=wifi0.1) is de-authenticated because of 4way handshake failure
11/14/2013 02:54:07 PM  B4B6762AF36E  0019778AF954  aerohive01.ibuildings.uk  BASIC   (50)Sta(at if=wifi0.1) is de-authenticated because of notification of driver
 
This usually indicates that the packet the device is sending to the AP isn’t being fully received. This may indicate signs of interference, but it seems odd that only one device is doing it.
Comment 2 Fedora End Of Life 2015-01-09 15:35:28 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 14:14:26 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Germano Massullo 2015-07-24 08:50:08 EDT
I am bumping this ticket because I had a similar problem and I found out that code 3 means "The access point went offline, deauthenticating the client." http://www.aboutcher.co.uk/2012/07/linux-wifi-deauthenticated-reason-codes/

Note You need to log in before you can comment on or make changes to this bug.